import { AnnotationLayer } from "./AnnotationLayer";
import { Series } from "./Series";
import { FinalValueSelectionMode } from "./FinalValueSelectionMode";
import { Brush } from "igniteui-react-core";
import { Thickness } from "igniteui-react-core";
import { FinalValueLayerFrame } from "./FinalValueLayerFrame";
import { Type } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { AnnotationLayerView } from "./AnnotationLayerView";
/**
 * @hidden
 */
export declare class FinalValueLayer extends AnnotationLayer {
    static $t: Type;
    protected bi(): Series;
    protected get_eo(): boolean;
    constructor();
    protected cq(): SeriesView;
    qw(a: SeriesView): void;
    protected zp: FinalValueLayerView;
    aad: string;
    zr: Series;
    zq: FinalValueSelectionMode;
    aax: Brush;
    aav: Brush;
    zv: number;
    z1: number;
    aaw: Brush;
    get aaz(): Thickness;
    zx: number;
    zz: number;
    zy: number;
    zw: number;
    axisAnnotationFormatLabel: (item: any) => string;
    zs(): boolean;
    z0: number;
    protected yg(a: Series, b: boolean): void;
    protected yi(a: Frame, b: SeriesView): void;
    protected w9(a: Series): boolean;
    qk(): void;
    private aay;
    private aag;
    private zu;
    private zt;
    protected aah(a: FinalValueLayerFrame, b: boolean): void;
    protected yl(a: Frame, b: SeriesView): void;
    protected f8(): boolean;
    protected q4(a: any, b: string, c: any, d: any): void;
    o2(a: boolean, b: SeriesView): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class FinalValueLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: FinalValueLayer);
    protected b7: FinalValueLayer;
    au(): void;
    b8(a: Brush): Brush;
    an(a: any): void;
}
